_TOUPPER(3P)

PROLOG
This manual page is part of the POSIX Programmer's Manual. The Linux implementation of this interface may differ (consult the corresponding Linux manual page for details of Linux behavior), or the interface may not be implemented on Linux.

NAME
_toupper — transliterate lowercase characters to uppercase

SYNOPSIS

#include <ctype.h>

int _toupper(int c);

DESCRIPTION
The _toupper() macro shall be equivalent to toupper() except that the application shall ensure that the argument c is a lowercase letter.

RETURN VALUE
Upon successful completion, _toupper() shall return the uppercase letter corresponding to the argument passed.

ERRORS
No errors are defined.

The following sections are informative.

EXAMPLES
None.

APPLICATION USAGE
Applications should use the toupper() function instead of the obsolescent _toupper() function.

RATIONALE
None.

FUTURE DIRECTIONS
The _toupper() function may be removed in a future version.

SEE ALSO
islower(), toupper()

The Base Definitions volume of POSIX.1-2017, Chapter 7, Locale, <ctype.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1-2017, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 7, 2018 Edition, Copyright (C) 2018 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .

Any typographical or formatting errors that appear in this page are most likely to have been introduced during the conversion of the source files to man page format. To report such errors, see https://www.kernel.org/doc/man-pages/reporting_bugs.html .